download_swift_installer

Proceed to our Download releases page.


    Windows users only: whether you need to install the 32bit or 64bit version of swift does not depend on your operating system, but on the flight simulator platform that you intend to use it with!


Please consult this table to determine what version of swift you need to download and install:

X-Plane Users:

  • up to and including X-Plane 11.41, use swift 0.9.4
  • from X-Plane version 11.50 onwards you must use swift 0.9.5+

MSFS FS2020 Users:

  • although Microsoft's new Flight Simulator is a 64bit application, its module “Simconnect” is a 32bit program and thus only the 32bit versions of swift 0.9.6+ will work.


          Users of MacOS and Linux will find dedicated swift installers on our download page.


  • download_swift_installer.txt
  • Last modified: 2021/10/14 21:49
  • by msutcliffe